
# Transfer entropy API

The transfer entropy API is made up of the following functions and types.

- [`TransferEntropy`](@ref), and its subtypes.
- [`transferentropy`](@ref).
- [`TransferEntropyEstimator`](@ref), and its subtypes.

```@docs
transferentropy
```

## Definitions

```@docs
TransferEntropy
```

## [`TransferEntropyEstimator`](@ref)s

```@docs
TransferEntropyEstimator
```

### [`Zhu1`](@ref)

```@docs
Zhu1
```

### [`Lindner`](@ref)

```@docs
Lindner
```

## Convenience

### [`SymbolicTransferEntropy`](@ref)

```@docs
SymbolicTransferEntropy
```

### [`Hilbert`](@ref)

```@docs
Hilbert
Phase
Amplitude
```

## Utilities

```@docs
optimize_marginals_te
EmbeddingTE
```
